hpct-rtunnel(1)

NAME
hpct-rtunnel - HiPerConTracer Reverse Tunnel

SYNOPSIS
hpct-rtunnel [-h | - -help] [-v | - -verbose] [-q | - -quiet] [-N | - -nodeid -node_id] [-R remote_location | - -remote remote_location] [-C | - -collector -collector] [-K ssh_private_key_file | - -key ssh_private_key_file] [-H ssh_known_hosts_file | - -known-hosts ssh_known_hosts_file]

DESCRIPTION
hpct-rtunnel is the HiPerConTracer remote tunnel script. It establishes an SSH tunnel from a node to a collected, allowing SSH forwarding to the node from port 10000+NodeID on the collector. It is intended to be used with the hpct-rtunnel service, to automatically establish the tunnel from a node with NAT'ed IP address for remote maintenance.

ARGUMENTS
The following arguments may be provided:

-h | - -help
    Prints command help.

-q | --quiet
    Turns off status output.

-v | --verbose
    Turns on status output.

-N | - -nodeid -node_id
    Sets the node ID, a number from 1 to 9999.

-R remote_location | - -remote remote_location
    Sets the remote data directory on the collector. Default: /var/hipercontracer/data.

-R | - -collector -collector
    Sets the remote data location for RSync. Format: HOST:DIRECTORY.

-K ssh_private_key_file | - -key ssh_private_key_file
    Sets the SSH private key file used for authentication. Default: /var/hipercontracer/ssh/id_ed25519.

-H ssh_known_hosts_file | - -known-hosts ssh_known_hosts_file
    Sets the SSH known hosts file. Default: /var/hipercontracer/ssh/known_hosts.

EXAMPLES

sudo -u hipercontracer hpct-rtunnel -N 1000 -C 10.44.35.16 --key /var/hipercontracer/ssh/id_ed25519 --known-hosts /var/hipercontracer/ssh/known_hosts

sudo -u hipercontracer hpct-rtunnel -N 1 -C 10.44.35.16 --key /var/hipercontracer/ssh/id_ed25519 --known-hosts /var/hipercontracer/ssh/known_hosts

AUTHORS
Thomas Dreibholz
https://www.simula.no/people/dreibh
mailto://dreibh@simula.no